package com.zcloud.zcGbsServicer.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.zcGbsServicer.domain.gateway.RescueTeamGateway;
import com.zcloud.zcGbsServicer.domain.model.RescueTeamE;
import com.zcloud.zcGbsServicer.dto.RescueTeamUpdateCmd;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;




/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:23:00
*/
@Component
@AllArgsConstructor
public class RescueTeamUpdateExe {
    private final RescueTeamGateway rescueTeamGateway;

    @Transactional(rollbackFor = Exception.class)
    public void execute(RescueTeamUpdateCmd rescueTeamUpdateCmd) {
        RescueTeamE rescueTeamE = new RescueTeamE();
        BeanUtils.copyProperties(rescueTeamUpdateCmd, rescueTeamE);
        boolean res = rescueTeamGateway.update(rescueTeamE);
        if (!res) {
            throw new BizException("修改失败");
        }
    }
}

